## blender 2.83.1+dfsg

=== debian/changelog ===
blender (2.83.1+dfsg-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 Jul 2020 16:36:57 -0700

blender (2.83.1+dfsg-3) unstable; urgency=medium

  * debian/control: debhelper bump 12 -> 13
  * debian/patches/: patchset updated
    - 0005-fix_arm+mipsel_ftbfs.patch added (Closes: #964305)
      Thanks to Sergey Sharybin (upstream) for the quick fix.

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 09 Jul 2020 10:34:08 +0200

blender (2.83.1+dfsg-2) unstable; urgency=medium

  [ Antonio Ospite ]
  * debian/patches: do not override fonts installation path anymore
    (Closes: #963975)
  * debian/rules: disable debug (e.g. asserts) in debian builds
    (Closes: #962074)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 04 Jul 2020 20:54:31 +0200

blender (2.83.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset refreshed against v2.83.1
    - debian/control: sdl -> sdl2 in build-deps

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 29 Jun 2020 00:06:23 +0200

=== debian/control ===
Source: blender
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               dh-python,
               gettext,
               libalut-dev,
               libavcodec-dev (>> 6:10),
               libavdevice-dev,
               libavformat-dev,
               libavfilter-dev,
               libblosc-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-locale-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libfftw3-dev,
               libfontconfig-dev,
               libgettextpo-dev,
               libglew-dev,
               libgsm1-dev,
               libilmbase-dev (>= 2.2.0),
               libjack-dev,
               libjemalloc-dev [!hurd-i386],
               libjpeg-dev,
               liblzma-dev,
               liblzo2-dev,
               libopenal-dev,
               libopencolorio-dev [!hurd-i386],
               libopenexr-dev (>= 2.2.0),
               libopenimageio-dev (>= 2.0.0),
               libopenjp2-7-dev,
               libopenvdb-dev [amd64 i386],
               libosd-dev,
               libpng-dev,
               libsdl2-dev,
               libsndfile-dev,
               libspnav-dev,
               libswscale-dev,
               libtbb-dev,
               libtiff-dev,
               libvorbis-dev,
               libxi-dev,
               libxrandr-dev,
               libxxf86vm-dev,
               libz-dev,
               opencollada-dev [linux-any],
               pkg-config,
               python3-dev,
               python3-numpy,
               python3-requests
Build-Conflicts: nvidia-glx
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.blender.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/blender.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/blender

Package: blender
Architecture: any
Depends: blender-data (= ${source:Version}),
         fonts-dejavu,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Very fast and versatile 3D modeller/renderer
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary are common products of Blender use.

Package: blender-data
Architecture: all
Depends: python3,
         ${misc:Depends},
         ${python3:Depends}
Replaces: blender (<< 2.67b-1~)
Description: Very fast and versatile 3D modeller/renderer - data package
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary are common products of Blender use.
 .
 This package contains documentation, libraries and images for blender.

=== debian/rules ===
#!/usr/bin/make -f

INSTDIR = debian/tmp
PY3VERS = $(shell py3versions -dv)

export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG

ifeq ($(DEB_HOST_ARCH),i386)
	SETSSE = OFF
else
	SETSSE = ON
endif

ifneq (,$(filter $(DEB_BUILD_ARCH_CPU), mipsel))
	CXXFLAGS+=-g1
endif

ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	SETVDB = ON
else
	SETVDB = OFF
endif

ifeq ($(DEB_HOST_ARCH),mipsel)
	SETCOLLADA = OFF
else
	SETCOLLADA = ON
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DFREETYPE_INCLUDE_DIRS="/usr/include/freetype2" \
		-DPYTHON_VERSION=$(PY3VERS) \
		-DWITH_CODEC_FFMPEG=ON \
		-DWITH_CODEC_SNDFILE=ON \
		-DWITH_CPU_SSE=$(SETSSE) \
		-DWITH_CYCLES=ON \
		-DWITH_DOC_MANPAGE=ON \
		-DWITH_FFTW3=ON \
		-DWITH_GAMEENGINE=ON \
		-DWITH_IMAGE_OPENJPEG=ON \
		-DWITH_INPUT_NDOF=ON \
		-DWITH_INSTALL_PORTABLE=OFF \
		-DWITH_JACK=ON \
		-DWITH_MOD_OCEANSIM=ON \
		-DWITH_OPENCOLLADA=$(SETCOLLADA) \
		-DWITH_OPENCOLORIO=ON \
		-DWITH_OPENSUBDIV=ON \
		-DWITH_OPENVDB=$(SETVDB) \
		-DWITH_PLAYER=ON \
		-DWITH_PYTHON_INSTALL=OFF \
		-DWITH_SYSTEM_GLEW=ON \
		-DWITH_SYSTEM_OPENJPEG=ON

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	find $(INSTDIR)/usr/share/blender/ -type d -empty -delete

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:

override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@ --buildsystem=cmake --with python3

## blender 2.83.2+dfsg

=== debian/changelog ===
blender (2.83.2+dfsg-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/control: debhelper revert 13 -> 12

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Jul 2020 15:20:39 -0700

blender (2.83.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 20 Jul 2020 16:00:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: blender
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),

## blender 2.83.3+dfsg

=== debian/changelog ===
blender (2.83.3+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release
  * Remove 0005-fix_arm+mipsel_ftbfs.patch: applied upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 26 Jul 2020 03:56:15 -0700

blender (2.83.2+dfsg-1~obs) obs; urgency=medium

  * Rebuild for MX Linux.
  * debian/control: debhelper revert 13 -> 12

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Jul 2020 15:20:39 -0700

## blender 2.83.4+dfsg

=== debian/changelog ===
blender (2.83.4+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Revert to debhelper-compat = 12.
  * Drop 0005-fix_T78867.patch: fixed upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Aug 2020 12:44:23 -0700

blender (2.83.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/: patchset updated
    - 0005-fix_arm+mipsel_ftbfs.patch dropped (applied upstream)
    - 0005-fix_T78867.patch added (Closes: #964802, #965313)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 29 Jul 2020 22:45:51 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libalut-dev,
                libavcodec-dev (>> 6:10),
                libavdevice-dev,
+               libavfilter-dev,
                libavformat-dev,
-               libavfilter-dev,
                libblosc-dev,
                libboost-dev,
                libboost-filesystem-dev,
@@ -81,9 +81,7 @@
 
 Package: blender-data
 Architecture: all
-Depends: python3,
-         ${misc:Depends},
-         ${python3:Depends}
+Depends: python3, ${misc:Depends}, ${python3:Depends}
 Replaces: blender (<< 2.67b-1~)
 Description: Very fast and versatile 3D modeller/renderer - data package
  Blender is an integrated 3d suite for modelling, animation, rendering,

=== debian/rules ===
--- 
+++ 
@@ -64,8 +64,8 @@
 
 override_dh_auto_test:
 
+%:
+	dh $@ --buildsystem=cmake --with python3
+
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
-
-%:
-	dh $@ --buildsystem=cmake --with python3

## blender 2.83.5%2Bdfsg

=== extern/gmock/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2014, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

set(INC
  .
  include
)

set(INC_SYS
  ../gtest/include
)

set(SRC
  # src/gmock-all.cc

  src/gmock-cardinalities.cc
  src/gmock.cc
  src/gmock-internal-utils.cc
  src/gmock_main.cc
  src/gmock-matchers.cc
  src/gmock-spec-builders.cc
)

set(SRC_HEADERS
  include/gmock/gmock-actions.h
  include/gmock/gmock-cardinalities.h
  include/gmock/gmock-generated-actions.h
  include/gmock/gmock-generated-function-mockers.h
  include/gmock/gmock-generated-matchers.h
  include/gmock/gmock-generated-nice-strict.h
  include/gmock/gmock.h
  include/gmock/gmock-matchers.h
  include/gmock/gmock-more-actions.h
  include/gmock/gmock-more-matchers.h
  include/gmock/gmock-spec-builders.h
  include/gmock/internal/custom/gmock-generated-actions.h
  include/gmock/internal/custom/gmock-matchers.h
  include/gmock/internal/custom/gmock-port.h
  include/gmock/internal/gmock-generated-internal-utils.h
  include/gmock/internal/gmock-internal-utils.h
  include/gmock/internal/gmock-port.h
)

include_directories(${INC})
include_directories(SYSTEM ${INC_SYS})
add_library(extern_gmock ${SRC} ${SRC_HEADERS})

=== source/blender/editors/space_topbar/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# ***** END GPL LICENSE BLOCK *****

set(INC
  ../include
  ../../blenkernel
  ../../blenlib
  ../../blenloader
  ../../blentranslation
  ../../gpu
  ../../makesdna
  ../../makesrna
  ../../windowmanager
  ../../../../intern/glew-mx
  ../../../../intern/guardedalloc
)

set(INC_SYS
  ${GLEW_INCLUDE_PATH}
)

set(SRC
  space_topbar.c
)

set(LIB
)

add_definitions(${GL_DEFINITIONS})

blender_add_lib(bf_editor_space_topbar "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== source/blender/io/usd/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2019, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

# This suppresses the warning "This file includes at least one deprecated or antiquated
# header which may be removed without further notice at a future date", which is caused
# by the USD library including <ext/hash_set> on Linux. This has been reported at:
# https://github.com/PixarAnimationStudios/USD/issues/1057.
if(UNIX AND NOT APPLE)
  add_definitions(-D_GLIBCXX_PERMIT_BACKWARD_HASH)
endif()
if(WIN32)
  add_definitions(-DNOMINMAX -DWIN32_LEAN_AND_MEAN)
endif()
add_definitions(-DPXR_STATIC)

set(INC
  .
  ../../blenkernel
  ../../blenlib
  ../../blenloader
  ../../bmesh
  ../../depsgraph
  ../../editors/include
  ../../makesdna
  ../../makesrna
  ../../windowmanager
  ../../../../intern/guardedalloc
  ../../../../intern/utfconv
)

set(INC_SYS
  ${USD_INCLUDE_DIRS}
  ${BOOST_INCLUDE_DIR}
  ${TBB_INCLUDE_DIR}
)

set(SRC
  intern/abstract_hierarchy_iterator.cc
  intern/usd_capi.cc
  intern/usd_hierarchy_iterator.cc
  intern/usd_writer_abstract.cc
  intern/usd_writer_camera.cc
  intern/usd_writer_hair.cc
  intern/usd_writer_light.cc
  intern/usd_writer_mesh.cc
  intern/usd_writer_metaball.cc
  intern/usd_writer_transform.cc

  usd.h
  intern/abstract_hierarchy_iterator.h
  intern/usd_exporter_context.h
  intern/usd_hierarchy_iterator.h
  intern/usd_writer_abstract.h
  intern/usd_writer_camera.h
  intern/usd_writer_hair.h
  intern/usd_writer_light.h
  intern/usd_writer_mesh.h
  intern/usd_writer_metaball.h
  intern/usd_writer_transform.h
)

set(LIB
  bf_blenkernel
  bf_blenlib
)

list(APPEND LIB
  ${BOOST_LIBRARIES}
)

list(APPEND LIB
)

blender_add_lib(bf_usd "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

if(WIN32)
  set_property(TARGET bf_usd APPEND_STRING PROPERTY LINK_FLAGS_DEBUG " /WHOLEARCHIVE:${USD_DEBUG_LIB}")
  set_property(TARGET bf_usd APPEND_STRING PROPERTY LINK_FLAGS_RELEASE " /WHOLEARCHIVE:${USD_RELEASE_LIB}")
  set_property(TARGET bf_usd APPEND_STRING PROPERTY LINK_FLAGS_RELWITHDEBINFO " /WHOLEARCHIVE:${USD_RELEASE_LIB}")
  set_property(TARGET bf_usd APPEND_STRING PROPERTY LINK_FLAGS_MINSIZEREL " /WHOLEARCHIVE:${USD_RELEASE_LIB}")
endif()

# Source: https://github.com/PixarAnimationStudios/USD/blob/master/BUILDING.md#linking-whole-archives
if(WIN32)
  target_link_libraries(bf_usd INTERFACE ${USD_LIBRARIES})
elseif(CMAKE_COMPILER_IS_GNUCXX)
  target_link_libraries(bf_usd INTERFACE "-Wl,--whole-archive ${USD_LIBRARIES} -Wl,--no-whole-archive ${TBB_LIBRARIES}")
elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
  target_link_libraries(bf_usd INTERFACE -Wl,-force_load ${USD_LIBRARIES})
else()
  message(FATAL_ERROR "Unknown how to link USD with your compiler ${CMAKE_CXX_COMPILER_ID}")
endif()

target_link_libraries(bf_usd INTERFACE ${TBB_LIBRARIES})

=== debian/changelog ===
blender (2.83.5+dfsg-5) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #976378)
    - 0007-BPY_thread_save_crashes_against_Py3.9.patch added
  * debian/control: S-V bump 4.5.0 -> 4.5.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 09 Dec 2020 15:11:57 +0100

blender (2.83.5+dfsg-4) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #973292)
    - 0006-fix_FTBFS_with_python3.9.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 05 Nov 2020 20:44:14 +0100

blender (2.83.5+dfsg-3) unstable; urgency=medium

  * debian/control: libpugixml-dev b-dep added

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 01 Oct 2020 15:11:47 +0200

blender (2.83.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/patches: Fix compilation with OpenVDB. Closes: #970271

 -- Mathieu Malaterre <malat@debian.org>  Mon, 14 Sep 2020 10:44:01 +0200

blender (2.83.5+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 23 Aug 2020 22:55:43 +0200

blender (2.83.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - d/p/0005-fix_T78867.patch: dropped (applied upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 08 Aug 2020 23:37:37 +0200
